startInstall();

function startInstall() {

	initInstall('GPSWeb Installation', "citations", '0.1.4', 1);
	logComment('GPSWeb: Installation Started');

	var chromeFolder   = getFolder('Profile', 'chrome');
	var userHomeFolder = getFolder('Current User');
	
	
	
	addFile('/gpsweb.mozdev.org/gpsweb', 'chrome/gpsweb.jar', chromeFolder, '');

	
	if (checkStep('Extracting file - Check if you have the correct file permissions'))
		return;

	registerChrome(CONTENT | PROFILE_CHROME, getFolder(chromeFolder, 'gpsweb.jar'), 'content/');

	if (checkStep('Registering chrome - Check if you have the correct permissions to the chrome DB'))
		return;

	performInstall();

	if (checkStep('Installing'))
		return;

	logComment('GPSWeb: Well done! ;)');

}

function checkStep(msg) {
	var err = getLastError()

	if (err != SUCCESS) {
		logComment('GPSWeb [FAILED] '+err+' while: '+msg);
		cancelInstall();

		alert('Installation is aborted ('+err+')');
		return true;
	}
	
}

